function J = qlinear2D_J(x, a11, a12, a21, a22)

if (length(x) ~= 2)
    cprintf('err', 'ERROR: First argument must be a vector with 2 elements.\n');
    y = [];
    return;
else
    J(1, 1) = a11;
    J(1, 2) = a12;
    J(2, 1) = a21 - 2*x(1);
    J(2, 1) = a22;
end;
