function y = oligop(x, r, theta, T0, n)

% n = length(x)
% if mod(n, 3) ~= 0
%     cprintf('err', 'ERROR: State vector dimension must be multiple of 3.\n');
%     y = [];
%     return;
% end

% n = n/3;

% Q = 0;
% for i = 1:n
%     Q = Q + x(i);
% end

[q1, k1, T1] = lrun(x(1), (n - 1)*x(1), r, theta, T0);

for i = 1:T0
    [q1, k1, T1] = srun(q1, (n - 1)*q1, k1, T1, theta);
%     Qi = Q - x(i);
    
%     if (x(2*n + i) <= 0) % long run for q(i)
%         [y(i), y(n + i), y(2*n + i)] = lrun(x(i), Qi, r, theta, T0);
%     else % short run for q(i)
%         [y(i), y(n + i), y(2*n + i)] = srun(x(i), Qi, x(n + i), x(2*n + i), theta);
%     end

end

y(1) = q1;
y(2) = k1;


