function y = skewtent(x, a, b, mu)
%
% skew tent map
% 
%                  /  a*x + mu,  x <= 0
%  f: x -> f(x) = {
%                  \  b*x + mu,  x > 0 
%
%

if (x <= 0)
    y = a*x + mu;
else
    y = b*x + mu;
end;


